#discover-network-map .mapboxgl-ctrl-fullscreen .mapboxgl-ctrl-icon,
#analyze-network-map .mapboxgl-ctrl-fullscreen .mapboxgl-ctrl-icon,
#inspect-network-map .mapboxgl-ctrl-fullscreen .mapboxgl-ctrl-icon,
#compare-network-map .mapboxgl-ctrl-fullscreen .mapboxgl-ctrl-icon,
#data-cube-network-map .mapboxgl-ctrl-fullscreen .mapboxgl-ctrl-icon,
#curate-network-map .mapboxgl-ctrl-fullscreen .mapboxgl-ctrl-icon {
  background-image: url('./img/full-screen-icon.svg');
}

#discover-network-map .mapboxgl-ctrl-shrink .mapboxgl-ctrl-icon,
#analyze-network-map .mapboxgl-ctrl-shrink .mapboxgl-ctrl-icon,
#inspect-network-map .mapboxgl-ctrl-shrink .mapboxgl-ctrl-icon,
#compare-network-map .mapboxgl-ctrl-shrink .mapboxgl-ctrl-icon,
#data-cube-network-map .mapboxgl-ctrl-shrink .mapboxgl-ctrl-icon,
#curate-network-map .mapboxgl-ctrl-shrink .mapboxgl-ctrl-icon {
  background-image: url('./img/shrink-icon.svg');
}

@font-face {
  font-family: 'dinot-medium';
  src: url('./fonts/DINOT-Medium.otf') format('truetype');
}

@font-face {
  font-family: 'dinot-light';
  src: url('./fonts/DINOT-Light.otf') format('truetype');
}

@font-face {
  font-family: 'dinot-regular';
  src: url('./fonts/DINOT.otf') format('truetype');
}

.initial-loader-container {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 1000003;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.initial-loader-content {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  margin: 0px 48px;
  width: calc(100% - 96px);
  position: relative;
}

@media (min-width: 1536px) {
  .initial-loader-content {
    width: 100%;
    max-width: 1440px;
    margin: 0px auto;
  }
}

.initial-loader-container svg,
.initial-loader-container img {
  width: 240px;
}

.initial-loader-container .initial-loader-line {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.initial-loader-container .initial-loader-line div {
  display: inline-block;
  position: absolute;
  left: 8px;
  width: 16px;
  background: #fff;
  animation: page-loader 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
}

.initial-loader-container .initial-loader-line div:nth-child(1) {
  left: 8px;
  animation-delay: -0.24s;
}

.initial-loader-container .initial-loader-line div:nth-child(2) {
  left: 32px;
  animation-delay: -0.12s;
}

.initial-loader-container .initial-loader-line div:nth-child(3) {
  left: 56px;
  animation-delay: 0;
}

.initial-loader-text {
  position: absolute;
  top: 162px;
  width: 100%;
}

.initial-loader-text h4 {
  color: #ffffff;
  font-family: 'dinot-regular', 'Roboto', sans-serif;
  font-weight: 400;
  font-size: 20px;
  line-height: 28px;
  margin: 0px;
  text-align: center;
}

@keyframes page-loader {
  0% {
    top: 8px;
    height: 64px;
  }
  50%,
  100% {
    top: 24px;
    height: 32px;
  }
}
